<?
session_name('portal_absa');
session_start();
if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == "" || trim(strtoupper($_SESSION["URL_PORTAL"]."admin.php")) != trim(strtoupper($_SERVER['HTTP_REFERER']))){
	?><script>window.location.href="<?=$_SESSION["URL_PORTAL"]."index.php"?>"</script><?
	exit;
}
require "../clases/datosbd.class.php";

$datosbd = new datosbd();

if(!isset($_SESSION['usuario_p_prov_absa']) || trim($_SESSION['usuario_p_prov_absa']) == ""){
	?><script>$j_6.messager.alert("Error","Debe de iniciar sesión primero.","error");</script><?exit;
}

if($_SESSION["esAdmin_p_prov_absa"] == "SI"){
	if($datosbd->getReceptores() == false){
		$datosbd->Alert("Ocurrio un error al cargar los receptores. Intente nuevamente.");
	}
	if($datosbd->cReceptores == null){
		$datosbd->Alert("No se encontraron receptores dados de alta en el sistema.");
	}
}



?>

<script>	
var busca_rfc="";
$j_6(document).ready(function() {
	
});


function getPendientesCancelar(){
	$j_6("body").addClass("loading");
	$j_6.post("formularios/extras/getPendientesCancelar.php",{rfc: $j_6("#busca_rfc").val()},function(data){
		$j_6("body").removeClass("loading");
		$j_6("#resultPendientesCancelar").html(data);
		
	});
}

</script>
<style>
.demo-info{
	background:#FFFEE6;
	color:#8F5700;
	padding:12px;
}
.demo-tip{
	width:24px;
	height:16px;
	float:left;
}

.modal {
    display:    none;
    position:   fixed;
    z-index:    1000;
    top:        0;
    left:       0;
    height:     100%;
    width:      100%;
    background: rgba( 255, 255, 255, .8 ) 
                url('http://i.stack.imgur.com/FhHRx.gif') 
                50% 50% 
                no-repeat;
}
body.loading {
    overflow: hidden;   
}
body.loading .modal {
    display: block;
}
.tdCol{
	text-align: center;
	vertical-align: center
}
</style>
<div class="modal"></div>
<table class="td_general" bgcolor="white" width="100%">
    <tr>
        <td valign="top" class="txt_logindat" align="left" width="100%"><center><h2>Pendientes por cancelar</h2></center></td>
    </tr>
    <tr>
        <td>
			<table>
				<tr>
					<td colspan="3" valign="top" class="txt_logindat" style="text-align:left">
						<font style="font-size: 15px; border-color: #fbca93"><b>Busqueda</b></font>
					</td>
				</tr>
				<tr>
					<td valign="top" class="txt_logindat" style="text-align:left">
						<font style="font-size: 15px; border-color: #fbca93">RFC:</font>
					</td>
					<td class="formTD">
						<?if($_SESSION["esAdmin_p_prov_absa"] == "SI"){?>
							<select name="busca_rfc" id="busca_rfc" style="font-size: 15px; border-color: #fbca93; width: 265px">
							<?
								while($temp=mysqli_fetch_array($datosbd->cReceptores,MYSQLI_ASSOC))
								{?>
									<option value="<?=$temp["rfc"];?>" <? if($_SESSION['RFC_RECEPTOR_PORTAL'] == $temp["rfc"]){echo "selected";}?>><? echo $temp["rfc"];?></option>
								<?
								}
							mysqli_free_result($datosbd->cReceptores);
							?>
							</select>
						<?}else{?>
							<input type="text" name="busca_rfc" id="busca_rfc" value="<?=$_SESSION['RFC_RECEPTOR_PORTAL']?>" readonly="true" />
						<?}?>
					</td>
					<td>
						<img src="Imagenes/search.png" id="btn_agrega" onclick="getPendientesCancelar()" style="cursor:pointer" width="24" height="24"/>
					</td>
				</tr>
			</table>
		</td>
    </tr>
</table>
<table width="100%" bgcolor="white">
    <tr>
    <td valign="top" class="txt_logindat" width="100%" height="35">Resultado:<br/><div id="resultPendientesCancelar" style="border: 1px #999999 solid; width: 100%; height: 100%"></div></td>
    </tr>
</table>
<div id="scripts"></div>

